finley/src/NodeFile.cpp File Reference
`#include "NodeFile.h"`
`#include <escript/Data.h>`
`#include <escript/index.h>`
`#include <limits>`
`#include <sstream>`
`#include <iostream>`

## Namespaces

| finley
| A suite of factory methods for creating various finley domains.

## Functions

static std::pair< index_t, index_t > | finley::getGlobalRange (dim_t n, const index_t *id, escript::JMPI mpiInfo)
static void | finley::scatterEntries (dim_t n, const index_t *index, index_t min_index, index_t max_index, index_t *Id_out, const index_t *Id_in, int *Tag_out, const int *Tag_in, index_t *globalDegreesOfFreedom_out, const index_t *globalDegreesOfFreedom_in, int numDim, double *Coordinates_out, const double *Coordinates_in)
static void | finley::gatherEntries (dim_t n, const index_t *index, index_t min_index, index_t max_index, index_t *Id_out, const index_t *Id_in, int *Tag_out, const int *Tag_in, index_t *globalDegreesOfFreedom_out, const index_t *globalDegreesOfFreedom_in, int numDim, double *Coordinates_out, const double *Coordinates_in)